package vn.azteam.tpf.service;

import vn.azteam.tpf.service.dto.TBCodeDetailsDTO;
import vn.azteam.tpf.web.rest.errors.BadRequestAlertException;

import java.util.List;

/**
 * Service Interface for managing TBCodeDetailsService.
 */

public interface TBCodeDetailsService {
    TBCodeDetailsDTO save(TBCodeDetailsDTO tBCodeDetailsDTO);

    List<TBCodeDetailsDTO> saveAll(List<TBCodeDetailsDTO> tBCodeDetailsDTOs);

    void updateNumberScan(String code) throws BadRequestAlertException;
}
